## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseTrigger

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Trigger

All Known Implementing Classes:
  SybaseASABaseTriggerImpl, SybaseASACatalogBaseTrigger

    public interface SybaseASABaseTrigger

extends Trigger

A representation of the model object 'Sybase ASA Base Trigger'. The super actionTime attribute is deprecated and instead of sybaseASABaseActionTime.

The following features are supported:

- `Order`
- `Sybase ASA Base Action Time`
- `Remote Name`
- `Update Column Type`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger()`

Method Summary
`java.lang.String` `getNewName()` delegates to getNewRow or getNewTable based on the action granularity
`java.lang.String` `getOldName()` delegates to getOldRow or getOldTable based on the action granularity
`int` `getOrder()` Returns the value of the 'Order' attribute.
`java.lang.String` `getRemoteName()` Returns the value of the 'Remote Name' attribute.
`SybaseASABaseActionTime` `getSybaseASABaseActionTime()` Returns the value of the 'Sybase ASA Base Action Time' attribute.
`boolean` `isUpdateColumnType()` Returns the value of the 'Update Column Type' attribute.
`void` `setNewName(java.lang.String newName)` delegates to setNewRow or setNewTable based on the action granularity
`void` `setOldName(java.lang.String oldName)` delegates to setOldRow or setOldTable based on the action granularity
`void` `setOrder(int value)` Sets the value of the '`Order`' attribute.
`void` `setRemoteName(java.lang.String value)` Sets the value of the '`Remote Name`' attribute.
`void` `setSybaseASABaseActionTime(SybaseASABaseActionTime value)` Sets the value of the '`Sybase ASA Base Action Time`' attribute.
`void` `setUpdateColumnType(boolean value)` Sets the value of the '`Update Column Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionGranularity, getActionStatement, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, isDeleteType, isInsertType, isUpdateType, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOrder

    int getOrder()

  Returns the value of the 'Order' attribute. The default value is `"1"`.

  If the meaning of the 'Order' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order' attribute.
  See Also:
    `setOrder(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_Order()`

### setOrder

    void setOrder(int value)

  Sets the value of the '`Order`' attribute.

  Parameters:
    `value` - the new value of the 'Order' attribute.
  See Also:
    `getOrder()`

### getSybaseASABaseActionTime

    SybaseASABaseActionTime getSybaseASABaseActionTime()

  Returns the value of the 'Sybase ASA Base Action Time' attribute. The literals are from the enumeration `SybaseASABaseActionTime`.

  If the meaning of the 'Sybase ASA Base Action Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sybase ASA Base Action Time' attribute.
  See Also:
    `SybaseASABaseActionTime`, `setSybaseASABaseActionTime(SybaseASABaseActionTime)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_SybaseASABaseActionTime()`

### setSybaseASABaseActionTime

    void setSybaseASABaseActionTime(SybaseASABaseActionTime value)

  Sets the value of the '`Sybase ASA Base Action Time`' attribute.

  Parameters:
    `value` - the new value of the 'Sybase ASA Base Action Time' attribute.
  See Also:
    `SybaseASABaseActionTime`, `getSybaseASABaseActionTime()`

### getRemoteName

    java.lang.String getRemoteName()

  Returns the value of the 'Remote Name' attribute.

  If the meaning of the 'Remote Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remote Name' attribute.
  See Also:
    `setRemoteName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_RemoteName()`

### setRemoteName

    void setRemoteName(java.lang.String value)

  Sets the value of the '`Remote Name`' attribute.

  Parameters:
    `value` - the new value of the 'Remote Name' attribute.
  See Also:
    `getRemoteName()`

### isUpdateColumnType

    boolean isUpdateColumnType()

  Returns the value of the 'Update Column Type' attribute. exclusive with other trigger event types. If set to true, triggerColumn cannot be empty

  Returns:
    the value of the 'Update Column Type' attribute.
  See Also:
    `setUpdateColumnType(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_UpdateColumnType()`

### setUpdateColumnType

    void setUpdateColumnType(boolean value)

  Sets the value of the '`Update Column Type`' attribute.

  Parameters:
    `value` - the new value of the 'Update Column Type' attribute.
  See Also:
    `isUpdateColumnType()`

### getOldName

    java.lang.String getOldName()

  delegates to getOldRow or getOldTable based on the action granularity

### getNewName

    java.lang.String getNewName()

  delegates to getNewRow or getNewTable based on the action granularity

### setOldName

    void setOldName(java.lang.String oldName)

  delegates to setOldRow or setOldTable based on the action granularity

### setNewName

    void setNewName(java.lang.String newName)

  delegates to setNewRow or setNewTable based on the action granularity